geos::simplify::TaggedLineStringSimplifier Class Reference

Simplifies a TaggedLineString, preserving topology (in the sense that no new intersections are introduced). Uses the recursive Douglas-Peucker algorithm. More...

`#include <TaggedLineStringSimplifier.h>`

## Public Member Functions

| TaggedLineStringSimplifier (LineSegmentIndex *inputIndex, LineSegmentIndex *outputIndex, const ComponentJumpChecker *jumpChecker)
void | simplify (TaggedLineString *line, double distanceTolerance)

## Detailed Description

Simplifies a TaggedLineString, preserving topology (in the sense that no new intersections are introduced). Uses the recursive Douglas-Peucker algorithm.

## Member Function Documentation

## simplify()

void geos::simplify::TaggedLineStringSimplifier::simplify | ( | TaggedLineString * | line,
|  | double | distanceTolerance )

Simplifies the given `TaggedLineString` using the distance tolerance specified.

Parameters

  line | the linestring to simplify
  distanceTolerance | simplification tolerance

The documentation for this class was generated from the following file:

- TaggedLineStringSimplifier.h